### Hierarchy

- DOMWidgetView
  - ButtonView

## Index

### Constructors

- constructor

### Properties

- $el
- attributes
- cid
- className
- collection
- displayed
- el
- id
- layoutPromise
- model
- options
- pWidget
- tagName

### Methods

- $
- _ensureElement
- _handle_click
- bind
- callbacks
- create_child_view
- delegate
- delegateEvents
- events
- initialize
- listenTo
- listenToOnce
- make
- off
- on
- once
- remove
- render
- send
- setElement
- setLayout
- stopListening
- touch
- trigger
- typeset
- unbind
- undelegate
- undelegateEvents
- update
- update_button_style
- update_classes
- update_mapped_classes
- createPhosphorWidget

## Constructors

### constructor

- new ButtonView(options?: ViewOptions<WidgetModel>): ButtonView

- Inherited from View.__constructor

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:340

  #### Parameters

  - ##### Optional options: ViewOptions<WidgetModel>

  #### Returns ButtonView

## Properties

### $el

$el: JQuery

Inherited from View.$el

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:363

### attributes

attributes: any

Inherited from View.attributes

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:365

### cid

cid: string

Inherited from View.cid

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:358

### className

className: string

Inherited from View.className

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:359

### collection

collection: Collection<WidgetModel>

Inherited from View.collection

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:354

### displayed

displayed: Promise<object>

Inherited from WidgetView.displayed

- Defined in widget.ts:676

### el

el: HTMLButtonElement

Overwrites DOMWidgetView.el

- Defined in widget_button.ts:106

### id

id: string

Inherited from View.id

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:357

### layoutPromise

layoutPromise: Promise<any>

Inherited from DOMWidgetView.layoutPromise

- Defined in widget.ts:814

### model

model: WidgetModel

Inherited from View.model

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:353

### options

options: any

Inherited from WidgetView.options

- Defined in widget.ts:675

### pWidget

pWidget: Widget

Inherited from DOMWidgetView.pWidget

- Defined in widget.ts:813

### tagName

tagName: string

Inherited from View.tagName

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:360

## Methods

### $

- $(selector: string): JQuery
- $(selector: any): JQuery

- Inherited from View.$

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:352

  #### Parameters

  - ##### selector: string

  #### Returns JQuery

- Inherited from View.$

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:366

  #### Parameters

  - ##### selector: any

  #### Returns JQuery

### _ensureElement

- _ensureElement(): void

- Inherited from DOMWidgetView._ensureElement

  Overwrites View._ensureElement

  - Defined in widget.ts:803

  #### Returns void

### _handle_click

- _handle_click(event: any): void

- - Defined in widget_button.ts:101

  Handles when the button is clicked.

  #### Parameters

  - ##### event: any

  #### Returns void

### bind

- bind(eventName: string, callback: Function, context?: any): any

- Inherited from Events.bind

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:86

  #### Parameters

  - ##### eventName: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### callbacks

- callbacks(): any

- Inherited from WidgetView.callbacks

  - Defined in widget.ts:653

  Create msg callbacks for a comm msg.

  #### Returns any

### create_child_view

- create_child_view(child_model: any, options?: any): any

- Inherited from WidgetView.create_child_view

  - Defined in widget.ts:643

  Create and promise that resolves to a child view of a given model

  #### Parameters

  - ##### child_model: any

  - ##### Optional options: any

  #### Returns any

### delegate

- delegate(eventName: string, selector: string, listener: Function): View<WidgetModel>

- Inherited from View.delegate

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:371

  #### Parameters

  - ##### eventName: string

  - ##### selector: string

  - ##### listener: Function

  #### Returns View<WidgetModel>

### delegateEvents

- delegateEvents(events?: EventsHash): any

- Inherited from View.delegateEvents

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:370

  #### Parameters

  - ##### Optional events: EventsHash

  #### Returns any

### events

- events(): object

- Overwrites View.events

  - Defined in widget_button.ts:92

  Dictionary of events and handlers

  #### Returns object

  - ##### [e: string]: string

### initialize

- initialize(parameters: any): void

- Inherited from DOMWidgetView.initialize

  Overwrites WidgetView.initialize

  - Defined in widget.ts:684

  Public constructor

  #### Parameters

  - ##### parameters: any

  #### Returns void

### listenTo

- listenTo(object: any, events: string, callback: Function): any

- Inherited from Events.listenTo

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:90

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### listenToOnce

- listenToOnce(object: any, events: string, callback: Function): any

- Inherited from Events.listenToOnce

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:91

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### make

- make(tagName: any, attributes?: any, content?: any): any

- Inherited from View.make

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:369

  #### Parameters

  - ##### tagName: any

  - ##### Optional attributes: any

  - ##### Optional content: any

  #### Returns any

### off

- off(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.off

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:84

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### on

- on(eventName: string, callback?: Function, context?: any): any
- on(eventMap: EventsHash): any

- Inherited from Events.on

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:82

  #### Parameters

  - ##### eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

- Inherited from Events.on

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:83

  #### Parameters

  - ##### eventMap: EventsHash

  #### Returns any

### once

- once(events: string, callback: Function, context?: any): any

- Inherited from Events.once

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:89

  #### Parameters

  - ##### events: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### remove

- remove(): any

- Inherited from DOMWidgetView.remove

  Overwrites WidgetView.remove

  - Defined in widget.ts:808

  #### Returns any

### render

- render(): void

- Overwrites WidgetView.render

  - Defined in widget_button.ts:45

  Called when view is rendered.

  #### Returns void

### send

- send(content: any, buffers?: any): void

- Inherited from WidgetView.send

  - Defined in widget.ts:660

  Send a custom msg associated with this view.

  #### Parameters

  - ##### content: any

  - ##### Optional buffers: any

  #### Returns void

### setElement

- setElement(el: HTMLElement)

- Inherited from DOMWidgetView.setElement

  Overwrites View.setElement

  - Defined in widget.ts:787

  #### Parameters

  - ##### el: HTMLElement

### setLayout

- setLayout(layout: any, oldLayout: any): void

- Inherited from DOMWidgetView.setLayout

  - Defined in widget.ts:708

  #### Parameters

  - ##### layout: any

  - ##### oldLayout: any

  #### Returns void

### stopListening

- stopListening(object?: any, events?: string, callback?: Function): any

- Inherited from Events.stopListening

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:92

  #### Parameters

  - ##### Optional object: any

  - ##### Optional events: string

  - ##### Optional callback: Function

  #### Returns any

### touch

- touch(): void

- Inherited from WidgetView.touch

  - Defined in widget.ts:664

  #### Returns void

### trigger

- trigger(eventName: string, ...args: any[]): any

- Inherited from Events.trigger

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:85

  #### Parameters

  - ##### eventName: string

  - ##### Rest ...args: any[]

  #### Returns any

### typeset

- typeset(element: any, text: any): void

- Inherited from DOMWidgetView.typeset

  - Defined in widget.ts:783

  #### Parameters

  - ##### element: any

  - ##### text: any

  #### Returns void

### unbind

- unbind(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.unbind

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:87

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### undelegate

- undelegate(eventName: string, selector?: string, listener?: Function): View<WidgetModel>

- Inherited from View.undelegate

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:373

  #### Parameters

  - ##### eventName: string

  - ##### Optional selector: string

  - ##### Optional listener: Function

  #### Returns View<WidgetModel>

### undelegateEvents

- undelegateEvents(): any

- Inherited from View.undelegateEvents

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:372

  #### Returns any

### update

- update(): void

- Overwrites WidgetView.update

  - Defined in widget_button.ts:59

  Update the contents of this view

  Called when the model is changed. The model may have been changed by another view or by a state update from the back-end.

  #### Returns void

### update_button_style

- update_button_style(): void

- - Defined in widget_button.ts:78

  #### Returns void

### update_classes

- update_classes(old_classes: any, new_classes: any, el: any): void

- Inherited from DOMWidgetView.update_classes

  - Defined in widget.ts:730

  Update the DOM classes applied to an element, default to this.el.

  #### Parameters

  - ##### old_classes: any

  - ##### new_classes: any

  - ##### el: any

  #### Returns void

### update_mapped_classes

- update_mapped_classes(class_map: any, trait_name: any, el?: any): void

- Inherited from DOMWidgetView.update_mapped_classes

  - Defined in widget.ts:774

  Update the DOM classes applied to the widget based on a single trait's value.

  Given a trait value classes map, this function automatically handles applying the appropriate classes to the widget element and removing classes that are no longer valid.

  ## Parameters

  class_map: dictionary Dictionary of trait values to class lists. Example: { success: ['alert', 'alert-success'], info: ['alert', 'alert-info'], warning: ['alert', 'alert-warning'], danger: ['alert', 'alert-danger'] }; trait_name: string Name of the trait to check the value of. el: optional DOM element handle, defaults to this.el Element that the classes are applied to.

  #### Parameters

  - ##### class_map: any

  - ##### trait_name: any

  - ##### Optional el: any

  #### Returns void

### Static createPhosphorWidget

- createPhosphorWidget(): ButtonPWidget

- Overwrites DOMWidgetView.createPhosphorWidget

  - Defined in widget_button.ts:38

  #### Returns ButtonPWidget

Generated using TypeDoc